<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Index</title>
        <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

    </head>
    <body>
        <div>
            <h1>Index</h1>

            
            
            <section>
                
                
                <h3>Project (1)</h3>
                <div>
                
                    <div><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon staruml-icon icon-Project'></span>Untitled</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLAssociation (12)</h3>
                <div>
                
                    <div><a href='8d1136300f2ec5d358d47b403fd1f0af.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(Correspondence—RelatedCorrespondence)</a></div>
                
                    <div><a href='0b4d7abc59f74df9603c72b9978303b6.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—NoteMessage)</a></div>
                
                    <div><a href='f3957ebbbeb962a43bab6aa7b2114c6e.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—OutComeMessage)</a></div>
                
                    <div><a href='2ad03108d09bf7e54f96860c9e91a79d.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—InComeMessage)</a></div>
                
                    <div><a href='a4caccb4d4a337ce177f0ccc9a0fe6e1.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(InComeMessageProxy—InComeMessage)</a></div>
                
                    <div><a href='a158511505f234bbd2e94ead50556e48.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CollageSystem—InComeMessageProxy)</a></div>
                
                    <div><a href='104131cb609aec49d4aba83921af0437.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CollageSystem—MessageProcessor)</a></div>
                
                    <div><a href='1ff0439244fd4324d53634cdd165d9a0.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CollageSystem—CreateMessageHandler)</a></div>
                
                    <div><a href='56af91d4b8b771aad08cc8bae0bf43a0.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(AdapterCollageSystem—Service)</a></div>
                
                    <div><a href='7633a5ab2a5dbd596574a3263f440935.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CreateMessageHandler—CreateMesssageBaseHandler)</a></div>
                
                    <div><a href='5b4b7e1ebb9ea1d1fada03283a25be19.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(SendMessage—SendContext)</a></div>
                
                    <div><a href='9f672b09f3fd132ebbb241a883185f9f.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(SendContext—SendStrategy)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLAssociationEnd (24)</h3>
                <div>
                
                    <div><a href='3366011ad4bacf20f2864411575ca033.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='1eb226919ce881d92e1f5275c78bcd58.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='5e0348b8806fdbd2150c6edd559ee543.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='58c551173587f7998950fc2249974812.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='11cda13aebe895896e29462f2597fb20.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='144b830e80a6363689d6f12751ed9996.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='ade38194f4e10a3b9cdc2d1d8104b3d4.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='8aeb1e80a26f9ecba43a3ff285c9312b.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='fee205f955ddb95dec101aac81ac35ee.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='eaa21fa837407d9e36f021d3388dd9aa.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='5da94de407fa0cb3e4130c2ddc998fea.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='33ffaf3a14b6a424d0dfbc3f90e07d8a.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='e81164c46941acf649207a560b478846.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='3fe9cce1a94b4af30f8b7dceb1a94f19.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='4de9b93ef85d77a0d91c2c3ae4f23cf7.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='8dbaf1e3fffe3c95bd0f7de84c6f190e.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='4583175399839b1e15c7a581e3e3e9f1.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='f2bf08772a28c9aed67eaa8bb1a23a1e.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='48cd2dc0c173ca38c6dc0d836b3cb701.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='5b2ed24816fcadc3634bb91f5e61e90c.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='c61de5ea9ec5c16550a94bf3979051d3.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='359bd56f2109c7e250d68360eb065792.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='784b33cb7c955e9bdfafcd17a1d81d85.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                    <div><a href='e3d9c256e454cb08716e85e12ea42838.html'><span class='node-icon staruml-icon icon-UMLAssociationEnd'></span>(AssociationEnd)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLAttribute (16)</h3>
                <div>
                
                    <div><a href='57366192ead1575db831308988bf1486.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>IndexingMessage</a></div>
                
                    <div><a href='a9f937ee7b89aae6feadcd06fc510bf8.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>SendMessage</a></div>
                
                    <div><a href='343833933b208a1d738c359a5aec384c.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>checkingMessage</a></div>
                
                    <div><a href='16947ea0e9d4ad06ab8832d77f7c4ab8.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>inComeMessageProxy</a></div>
                
                    <div><a href='d01e2a267253502cd149641ecb072e43.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>messageProcessor</a></div>
                
                    <div><a href='2bf2852f55ba5cf2613f9821f4e077bc.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>nextHandler</a></div>
                
                    <div><a href='5a696beb9c601b1cb77436767c01d991.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>noteMessage</a></div>
                
                    <div><a href='1f874bfe157197f2231c98fc15104525.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>outComeMessage</a></div>
                
                    <div><a href='ae4c8fb61211ea3fbb01cea8cd3707e5.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>realInComeMessage</a></div>
                
                    <div><a href='e17d171e68ac75da5be3fd8e120fa4cb.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>relatedCorrespondence</a></div>
                
                    <div><a href='6938a8700ec1865ff49bbcd5db226fa8.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>sendContext</a></div>
                
                    <div><a href='58f000cf155b488c49a49a30520c13f4.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>sendStrategy</a></div>
                
                    <div><a href='065c65550fdec94c8c68d88f01f87a14.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>service</a></div>
                
                    <div><a href='e9d714ac1fa49bde38751d90e9fc3a84.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>text</a></div>
                
                    <div><a href='00350f277116f120e8a036f490dde6f3.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>type</a></div>
                
                    <div><a href='1faea3b44b0330cd33c0b84fa07c7a6a.html'><span class='node-icon staruml-icon icon-UMLAttribute'></span>type</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLClass (20)</h3>
                <div>
                
                    <div><a href='71af6b98da9fe23222936a87d1729fa5.html'><span class='node-icon staruml-icon icon-UMLClass'></span>AdapterCollageSystem</a></div>
                
                    <div><a href='89a8e224cce93fec7bae6e1b4f0678dd.html'><span class='node-icon staruml-icon icon-UMLClass'></span>CheckingMessage</a></div>
                
                    <div><a href='1e2207754073faabbb3d71e3bce53489.html'><span class='node-icon staruml-icon icon-UMLClass'></span>CollageSystem</a></div>
                
                    <div><a href='214600ade78966dc17d9a8ba0822101a.html'><span class='node-icon staruml-icon icon-UMLClass'></span>Content</a></div>
                
                    <div><a href='d7d940ded7703ad49d249fdd9fc966bd.html'><span class='node-icon staruml-icon icon-UMLClass'></span>Correspondence</a></div>
                
                    <div><a href='d43b2d079547a3cb156de2e693562de2.html'><span class='node-icon staruml-icon icon-UMLClass'></span>CreateMesssageBaseHandler</a></div>
                
                    <div><a href='43fa60133e5f90b54137a63fbe203087.html'><span class='node-icon staruml-icon icon-UMLClass'></span>InComeMessage</a></div>
                
                    <div><a href='28d408e7c1cde255bac7bd15fa712677.html'><span class='node-icon staruml-icon icon-UMLClass'></span>InComeMessageProxy</a></div>
                
                    <div><a href='a85bf5d3201aa6c153ab7bf3563e902f.html'><span class='node-icon staruml-icon icon-UMLClass'></span>IndexingMessage</a></div>
                
                    <div><a href='925c37e11072cb9aaf828bc02899893b.html'><span class='node-icon staruml-icon icon-UMLClass'></span>Message</a></div>
                
                    <div><a href='e145eec7c41ea9e2eb5885783bfec04f.html'><span class='node-icon staruml-icon icon-UMLClass'></span>MessageProcessor</a></div>
                
                    <div><a href='be67135fc99ee46abd997d2169fdc51d.html'><span class='node-icon staruml-icon icon-UMLClass'></span>NoteMessage</a></div>
                
                    <div><a href='44bc721ab55f5a175d017e924fe7834c.html'><span class='node-icon staruml-icon icon-UMLClass'></span>OutComeMessage</a></div>
                
                    <div><a href='ec723d55a3fd1a744c8a0b6ec7199e20.html'><span class='node-icon staruml-icon icon-UMLClass'></span>RelatedCorrespondence</a></div>
                
                    <div><a href='63f6ee74a1fc2c27f128cc82d4fb0509.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendContext</a></div>
                
                    <div><a href='150296d58c07ae9690cd241d5c722a83.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendInComing</a></div>
                
                    <div><a href='bc7895c031356353f0f04f61c0826d85.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendMessage</a></div>
                
                    <div><a href='bf532fec16f869e3046b641989b471f8.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendNote</a></div>
                
                    <div><a href='29b31dfb40146c91389e1be9c5822119.html'><span class='node-icon staruml-icon icon-UMLClass'></span>SendOutcome</a></div>
                
                    <div><a href='d9c513c33a2632b4d823e982842d4e40.html'><span class='node-icon staruml-icon icon-UMLClass'></span>Service</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLClassDiagram (1)</h3>
                <div>
                
                    <div><a href='a74bf0e3699da3f8e58beeb19b53e20a.html'><span class='node-icon staruml-icon icon-UMLClassDiagram'></span>Main</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLGeneralization (9)</h3>
                <div>
                
                    <div><a href='fdf9d4d43f0f66948b15b14c408d9691.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(Content→Correspondence)</a></div>
                
                    <div><a href='f5e08ab801278759d2b18230175abb5d.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(RelatedCorrespondence→Correspondence)</a></div>
                
                    <div><a href='30e32fa76b000134be4ba5c24df1a79b.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(InComeMessage→Message)</a></div>
                
                    <div><a href='2d3e99cb4a741c17bf24ba002c5beb65.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(NoteMessage→Message)</a></div>
                
                    <div><a href='1cdf611cdbc0ff2fc364e90d678689eb.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(OutComeMessage→Message)</a></div>
                
                    <div><a href='1af2614923614b41f3ece9c2a4da53c0.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(AdapterCollageSystem→CollageSystem)</a></div>
                
                    <div><a href='def6b2e2a8eb42c5faa41abd6fa8ae70.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(CheckingMessage→CreateMesssageBaseHandler)</a></div>
                
                    <div><a href='ac8b7484764aa0778ad7ac415c8c0fea.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(IndexingMessage→CreateMesssageBaseHandler)</a></div>
                
                    <div><a href='dbff278611337879d086b85d3f69b043.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(SendMessage→CreateMesssageBaseHandler)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLInterface (3)</h3>
                <div>
                
                    <div><a href='bfa31cfb2fbc3b4657988f9466783647.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>CreateMessageHandler</a></div>
                
                    <div><a href='6c7c32401d438e33f5283ed882eaa1bd.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>InComeMessageInterface</a></div>
                
                    <div><a href='7afa159a5e5761b5e890a585ae2cb283.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>SendStrategy</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLInterfaceRealization (6)</h3>
                <div>
                
                    <div><a href='c8a0ff4b0c1af5d850d2632c04f48d76.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(InComeMessage→InComeMessageInterface)</a></div>
                
                    <div><a href='1f41961f4fd542ef5fd670eeff360ce6.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(InComeMessageProxy→InComeMessageInterface)</a></div>
                
                    <div><a href='b3a37b001b7aa5aa1b48d8cdca80c674.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(CreateMesssageBaseHandler→CreateMessageHandler)</a></div>
                
                    <div><a href='3026617cce44c43f0c4fdec6fa0744d9.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(SendInComing→SendStrategy)</a></div>
                
                    <div><a href='2aec32b37e1bbaa6b06efc8457a345f2.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(SendOutcome→SendStrategy)</a></div>
                
                    <div><a href='bebcdf986a6edf50191395e2f04da26b.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(SendNote→SendStrategy)</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLModel (2)</h3>
                <div>
                
                    <div><a href='594af663de577680f35b13183109d675.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></div>
                
                    <div><a href='2813dbc18776a6468ca57bba43321849.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLOperation (36)</h3>
                <div>
                
                    <div><a href='27765565b4ee59ab00c52ea1a50076ca.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>Add</a></div>
                
                    <div><a href='a20a5c26d356979b85e81e7c7bc4b193.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>Operation1</a></div>
                
                    <div><a href='f2aa36208026013b9f991602e0ad6db6.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>Print</a></div>
                
                    <div><a href='320155a5420969a235c23256ea1a5693.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>Print</a></div>
                
                    <div><a href='0cb7d13f219487d99698787d35f5c701.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>Remove</a></div>
                
                    <div><a href='c52f4c37db662f26999bab709c275bf1.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>Request</a></div>
                
                    <div><a href='68a8f3ad5629ac66b558ef0a450bf316.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>Request</a></div>
                
                    <div><a href='91979d4784307cbe04cd69a989674904.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>ServiceMethod</a></div>
                
                    <div><a href='00e7bcae7e2926517f497415ccd27852.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>Update</a></div>
                
                    <div><a href='a6f69cf22f9badc796b6e1cb2f59c748.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>checkAccess</a></div>
                
                    <div><a href='e297beb6329d2a97e94b039ec318ccbc.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createInComeMessage</a></div>
                
                    <div><a href='7ca2e7d2b9d0f59ddeeb7703d1690ecc.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createIncome</a></div>
                
                    <div><a href='bb06fd7bfc17e29c033cba7561070478.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createIncome</a></div>
                
                    <div><a href='878eebde9016fd857bd93152639317a0.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createIncome</a></div>
                
                    <div><a href='8240e526513fc7a6c1b521d9be7c943f.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createMessage</a></div>
                
                    <div><a href='62221f3f425c90511aad1d4c6fe9fff7.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createMessage</a></div>
                
                    <div><a href='c8ca6282ec8c441ce275ab0fa0ed9215.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createMessage</a></div>
                
                    <div><a href='aa8168cb399a66e9981db6e06d52897b.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createNote</a></div>
                
                    <div><a href='1a01c84242343848ae50fa795e2ee1c1.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createNote</a></div>
                
                    <div><a href='4e06b3dba1da2ed0f67de80c9e51ccf3.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createNote</a></div>
                
                    <div><a href='ab3208810d8b16ac60ef9fb582c83fad.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createNoteMessage</a></div>
                
                    <div><a href='e79b67c65f0be383b2023ba94f577f9a.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>createOutComeMessage</a></div>
                
                    <div><a href='8f0702210b0e1c3ae5e846811b846377.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>getType</a></div>
                
                    <div><a href='9ffc8d15c566365dd2b316e3f79db4e6.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>handle</a></div>
                
                    <div><a href='7cdd1f900147e1ed9a68598cc4d94a0f.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>handle</a></div>
                
                    <div><a href='83745e3878ea9aba74fb44d90ac96e8a.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>handle</a></div>
                
                    <div><a href='19f3d07de0e431231ff86a5835f2547b.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>handle</a></div>
                
                    <div><a href='45c2d97db15eba654fbaa70d78de3db3.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>send</a></div>
                
                    <div><a href='6bb2d3e8d4a87f9d42526e1f37abf48e.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>sendMessage</a></div>
                
                    <div><a href='08ce1a81f7e6df401db5c2cd78c88c0b.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setNext</a></div>
                
                    <div><a href='a961da66e25162b15423b260e33811bc.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setNext</a></div>
                
                    <div><a href='cfd2560f2bbb0fc6a547e6f6cb163fe2.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setNext</a></div>
                
                    <div><a href='b4c9fd2e64d46c08c288ec7993462cb8.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setNext</a></div>
                
                    <div><a href='e0a3790a7cab507dd84308ad362c87b5.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setSendStrategy</a></div>
                
                    <div><a href='49fb1e145c7a58827509d69fae5aa6c0.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>setType</a></div>
                
                    <div><a href='a812fd06b9676a0bb9e329cdd3bb8cda.html'><span class='node-icon staruml-icon icon-UMLOperation'></span>startProcess</a></div>
                
                </div>
            </section>
            
            <section>
                
                
                <h3>UMLParameter (49)</h3>
                <div>
                
                    <div><a href='4ba12472f6be32abead1fe0099af99ac.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='5f4dc35ea46d8c233f274432715cdc86.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='6c1531fa3dfb3e0fdd928ab49c0d741a.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='8b6152f64f6c0a707bf7d04e275d59be.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='4e5df31cb359b63793a1f6ebddf4dd08.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='76fb4947c3d585236d4255aaf81ead91.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='8addcf3706c105e1374dbeefdb686890.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='956797daa49a7259d0a449a12952007b.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='39b880252e903ec060261b1f640f07b9.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='faf1cec5b5695642559132b716a058e7.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='eeb25020783cacbc73450ac8b7a92900.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='a6802db6fdef387d144ececb19f89c03.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>(Parameter)</a></div>
                
                    <div><a href='4e77974d48e57ef6147144fb51a29947.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>address</a></div>
                
                    <div><a href='7d95ecb331cf889ebdf0d5af1f647a1a.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>correspondence</a></div>
                
                    <div><a href='a94199ae38987f0c6d09b4459544f526.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>correspondence</a></div>
                
                    <div><a href='f65ec060b1d9630c064bb8c97579e080.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>correspondence</a></div>
                
                    <div><a href='9ebfcccd12195ac2acb29987c2c12e44.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>handler</a></div>
                
                    <div><a href='93e3edb439bdaa95946bb0b8b531a9b4.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>handler</a></div>
                
                    <div><a href='ace34ae3d31760cc2e8a2ce638bcdd2e.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>handler</a></div>
                
                    <div><a href='1305a9529212ef05f9bac8874c60d2b3.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>handler</a></div>
                
                    <div><a href='9efcdef5eb936dba341f51c00a364df5.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>id</a></div>
                
                    <div><a href='60c9afbc6dd7f0ff8c1bd4a78c30dfa5.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>id</a></div>
                
                    <div><a href='c295deecc6499df1869bb881b0910463.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>id</a></div>
                
                    <div><a href='018e360931408dd7a18ea02b38390949.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>inComeMessage</a></div>
                
                    <div><a href='5c959b0275012f62074639fb1af3d090.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>inComeMessage</a></div>
                
                    <div><a href='47c07096c981d037a64da64ae070cbd1.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>income</a></div>
                
                    <div><a href='1ccd04ef69e60335470ae734f6d60d63.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>income</a></div>
                
                    <div><a href='81e1de0c2505526dd3b0844f8c1afbdd.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>income</a></div>
                
                    <div><a href='e44786c6134d36a19348ddef3e3c2244.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='5aca22c4e5b9aece79144702c81938d1.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='9e94f87f4a3ee15dad7108fa53798c85.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='4102fd43d45f938b6f5b87066cefe9fb.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='8e6e308776f7959b3049130907fb9cd7.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='266b953cccf581d4e2c0ca98f93a2545.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='ec592fc1f074972f0b57bdbc1d968ccb.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='a36671cc8f6ae7965bc89576eaf8c71a.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='1bbc5c9988fcfa57ae47c4ca5061cbdd.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>message</a></div>
                
                    <div><a href='bdccebef487b6a71fea8771f0b5f1ac5.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>name</a></div>
                
                    <div><a href='cb625800902e5a02ef224721706c73ba.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>name</a></div>
                
                    <div><a href='67f19d55a3066143b30fd72ab0161893.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>name</a></div>
                
                    <div><a href='d766029d673d2b028d70a5a90394c764.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>noteMessage</a></div>
                
                    <div><a href='29ca328e618df14b0f25631804990862.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>sendStrategy</a></div>
                
                    <div><a href='cd082cd078c0d6bd373c7d13e4671101.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>type</a></div>
                
                    <div><a href='a3f73787b30bb5273e9e19ae290076f7.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>type</a></div>
                
                    <div><a href='d9c684988e180aa75be6f191bc423504.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>type</a></div>
                
                    <div><a href='a18cba5b097fc205c722cc97420b6a5f.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>type</a></div>
                
                    <div><a href='ba2844fbba560a4f54332aaba20c08f6.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>x</a></div>
                
                    <div><a href='eb72e404a7b5c273c24bcb184e586cba.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>x</a></div>
                
                    <div><a href='e37ef2ffd9d2a9e8c33ebbfee6a5573b.html'><span class='node-icon staruml-icon icon-UMLParameter'></span>x</a></div>
                
                </div>
            </section>
            
        </div>
    </body>
</html>
